T2DVectorfield< T > Class Template Reference
Basic data strctures and functions

2D Vector field More...

`#include <mia/2d/vectorfield.hh>`

Inheritance diagram for T2DVectorfield< T >:
[legend]
Collaboration diagram for T2DVectorfield< T >:
[legend]

## Public Member Functions

T | get_interpol_val_at (const C2DFVector &p) const
| This function should really go away.
C2DFVector | get_pixel_size () const
void | set_pixel_size (const C2DFVector &pixel)
| T2DVectorfield ()
| T2DVectorfield (const C2DBounds &size)
| T2DVectorfield (const CAttributedData &data, const C2DBounds &size)
Public Member Functions inherited from T2DDatafield< T >
iterator | begin ()
const_iterator | begin () const
iterator | begin_at (size_t x, size_t y)
const_iterator | begin_at (size_t x, size_t y) const
range_iterator | begin_range (const C2DBounds &begin, const C2DBounds &end)
const_range_iterator | begin_range (const C2DBounds &begin, const C2DBounds &end) const
void | clear ()
iterator | end ()
const_iterator | end () const
range_iterator | end_range (const C2DBounds &begin, const C2DBounds &end)
const_range_iterator | end_range (const C2DBounds &begin, const C2DBounds &end) const
void | get_data_line_x (size_t y, std::vector< T > &buffer) const
void | get_data_line_y (size_t x, std::vector< T > &buffer) const
Range | get_range (const C2DBounds &start, const C2DBounds &end)
ConstRange | get_range (const C2DBounds &start, const C2DBounds &end) const
const C2DBounds & | get_size () const
void | make_single_ref () __attribute__((deprecated))
reference | operator() (const C2DBounds &l)
const_reference | operator() (const C2DBounds &l) const
reference | operator() (size_t x, size_t y)
const_reference | operator() (size_t x, size_t y) const
T2DDatafield< T > & | operator= (const T2DDatafield< T > &org)
T2DDatafield< T > & | operator= (T2DDatafield< T > &&org)
reference | operator[] (size_t idx)
const_reference | operator[] (size_t idx) const
void | put_data_line_x (size_t y, const std::vector< T > &buffer)
void | put_data_line_y (size_t x, const std::vector< T > &buffer)
size_type | size () const
| T2DDatafield ()
| T2DDatafield (const C2DBounds &size)
| T2DDatafield (const C2DBounds &size, const std::vector< T > &data)
| T2DDatafield (const C2DBounds &size, const T *_data)
| T2DDatafield (const T2DDatafield< T > &org)
| T2DDatafield (T2DDatafield< T > &&org)
virtual | ~T2DDatafield ()
| CAttributedData ()
| CAttributedData (const CAttributedData &org)
| CAttributedData (PAttributeMap attr)
CAttributedData & | operator= (const CAttributedData &org)
| Assignemt operator.
const PAttribute | get_attribute (const std::string &key) const
CAttributeMap::const_iterator | begin_attributes () const
CAttributeMap::const_iterator | end_attributes () const
void | set_attribute (const std::string &key, PAttribute attr)
void | set_attributes (CAttributeMap::const_iterator begin, CAttributeMap::const_iterator end)
void | set_attribute (const std::string &key, const std::string &value)
template<typename T>
void | set_attribute (const std::string &key, const T &value)
void | set_attribute (const std::string &key, const char *value)
const std::string | get_attribute_as_string (const std::string &key) const
| returns the requested attribute as string, returns an empty string if attribute doesn't exist
template<typename T>
const T | get_attribute_as (const std::string &key) const
template<typename T>
const T | get_attribute_as (const std::string &key, T default_value) const
void | delete_attribute (const std::string &key)
bool | has_attribute (const std::string &key) const
void | print (std::ostream &os) const

## Static Public Attributes

static const char * | data_descr
| plug.in related type description string

## Additional Inherited Members

Public Types inherited from T2DDatafield< T >
typedef ::std::vector< typename __holder_type_dispatch< T >::type > | data_array
| type for the flat reprentation of the 2D data field

## Detailed Description

template<typename T>
class T2DVectorfield< T >

2D Vector field

This class provides an interface to make the IO opf vector fields possible

Definition at line 37 of file 2d/vectorfield.hh.

## Constructor & Destructor Documentation

## T2DVectorfield() [1/3]

template<typename T>

T2DVectorfield< T >::T2DVectorfield | ( |  | ) |

## T2DVectorfield() [2/3]

template<typename T>

T2DVectorfield< T >::T2DVectorfield | ( | const C2DBounds & | size | ) |

Contruct a vector field of the given size

Parameters

  size | of vector field

## T2DVectorfield() [3/3]

template<typename T>

T2DVectorfield< T >::T2DVectorfield | ( | const CAttributedData & | data,
|  | const C2DBounds & | size )

Parameters

  data | meta data
  size | of vector field

## Member Function Documentation

## get_interpol_val_at()

template<typename T>

T T2DVectorfield< T >::get_interpol_val_at | ( | const C2DFVector & | p | ) | const

This function should really go away.

## get_pixel_size()

template<typename T>

C2DFVector T2DVectorfield< T >::get_pixel_size | ( |  | ) | const

## set_pixel_size()

template<typename T>

void T2DVectorfield< T >::set_pixel_size | ( | const C2DFVector & | pixel | ) |

## Field Documentation

## data_descr

template<typename T>

const char* T2DVectorfield< T >::data_descr

static

plug.in related type description string

Definition at line 41 of file 2d/vectorfield.hh.

The documentation for this class was generated from the following file:

- 2d/vectorfield.hh